"use strict";
var minimist = require('minimist');
var path_1 = require('path');
var index_1 = require('../index');
var args = minimist(process.argv.slice(2), {
    boolean: ['help'],
    string: ['file'],
    alias: {
        help: ['h'],
        file: ['f']
    }
});
if (args.help) {
    console.log("\nUsage: piper <task>\n\n'piper' runs the specified task <task> as defined by the 'pipe.js' file.\n\nOptions:\n-f      Choose which 'pipe.js' file to run\n              ");
}
else {
    var taskName_1 = args._[0];
    var path = args.file || 'pipefile.js';
    if (!path_1.isAbsolute(path)) {
        path = path_1.join(process.cwd(), path);
    }
    try {
        var pipefile = void 0;
        index_1.setChanged(function (tn) {
            if (tn != taskName_1) {
                console.log(tn + " is not " + taskName_1);
                return;
            }
            index_1.runTask(index_1.tasks[taskName_1]);
        });
        pipefile = require(path);
    }
    catch (e) {
        console.log("Could not get pipefile (" + path + "), because error: " + e);
    }
}
